## dxvk 2.7

=== debian/changelog ===
dxvk (2.7-1) unstable; urgency=medium

  * NUR:
    - remove patches applied upstream
    - add upstream patch to fix version s/2.7/2.7.0/, breaking meson rules

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 16 Aug 2025 05:58:12 +0900
