=== debian/control ===
Source: dxvk
Section: libs
Priority: optional
Maintainer: Alexandre Viau <aviau@debian.org>
Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: debhelper-compat (= 13),
               glslang-tools,
               meson,
               ninja-build,
               libsdl2-dev,
               libsdl3-dev,
               libwine-dev [amd64 arm64 i386 armhf] <!nowindows>,
               libvulkan-dev,
               spirv-headers,
               gcc-mingw-w64-x86-64-posix [amd64 arm64] <!nowindows>,
               gcc-mingw-w64-i686-posix [i386 armhf] <!nowindows>,
               g++-mingw-w64-x86-64-posix [amd64 arm64] <!nowindows>,
               g++-mingw-w64-i686-posix [i386 armhf] <!nowindows>,
               rename,
               llvm,
Standards-Version: 4.7.2
Homepage: https://github.com/doitsujin/dxvk
Vcs-Browser: https://salsa.debian.org/aviau/dxvk
Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
Rules-Requires-Root: no

Package: dxvk
Build-Profiles: <!nowindows>
Section: utils
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dxvk-wine64 (>= ${source:Version}) | dxvk-wine32 (>= ${source:Version}),
Recommends: dxvk-wine32,
            dxvk-wine64,
Description: Vulkan-based translation layer for Direct3D 8/9/10/11
 DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 12_1, and
 D3D10, feature level 10_1.
 .
 This package contains the dxvk-setup script that configures
 or removes DXVK from a Wine prefix.

Package: dxvk-wine32
Build-Profiles: <!nowindows>
Architecture: i386 armhf
Multi-Arch: foreign
Recommends: dxvk
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - wine32 build
 DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 12_1, and
 D3D10, feature level 10_1.
 .
 This package contains the wine32 build.

Package: dxvk-wine64
Build-Profiles: <!nowindows>
Architecture: amd64 arm64
Multi-Arch: foreign
Recommends: dxvk
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - wine64 build
 DXVK is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows running 3D applications on Linux using Wine.
 .
 DXVK aims to provide support for D3D11, feature level 12_1, and
 D3D10, feature level 10_1.
 .
 This package contains the wine64 build.

Package: dxvk-wine32-development
Build-Profiles: <!nowindows>
Depends: dxvk-wine32, ${misc:Depends}
Architecture: i386 armhf
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: dxvk-wine64-development
Build-Profiles: <!nowindows>
Depends: dxvk-wine64, ${misc:Depends}
Architecture: amd64 arm64
Priority: optional
Section: oldlibs
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: libdxvk-native-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdxvk-dxgi0 (= ${binary:Version}),
         libdxvk-d3d8-0 (= ${binary:Version}),
         libdxvk-d3d9-0 (= ${binary:Version}),
         libdxvk-d3d10core0 (= ${binary:Version}),
         libdxvk-d3d11-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - development files
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 DXVK aims to provide support for D3D11, feature level 11_1, and
 D3D10, feature level 10_1.
 .
 This package contains the development headers necessary to compile
 applications that use the Direct3D APIs, including a minimal subset
 of required Windows header definitions.

Package: libdxvk-dxgi0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 8/9/10/11 - graphics infrastructure
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of Microsoft's
 DirectX Graphics Infrastructure (DXGI) API, a layer shared
 by Direct3D 10 and 11.

Package: libdxvk-d3d8-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 8
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 9 API.

Package: libdxvk-d3d9-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 9
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 9 API.

Package: libdxvk-d3d10core0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 10
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 10 API.

Package: libdxvk-d3d11-0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan-based translation layer for Direct3D 11
 DXVK Native is a Vulkan-based translation layer for Direct3D 8/9/10/11 which
 allows Direct3D applications originating on Windows to be compiled
 natively for Linux.
 .
 This package contains DXVK's implementation of the Direct3D 11 API.
