## dxvk 2.7.1

=== meson_options.txt ===
option('enable_dxgi',  type : 'boolean', value : true, description: 'Build DXGI')
option('enable_d3d8',  type : 'boolean', value : true, description: 'Build D3D8')
option('enable_d3d9',  type : 'boolean', value : true, description: 'Build D3D9')
option('enable_d3d10', type : 'boolean', value : true, description: 'Build D3D10')
option('enable_d3d11', type : 'boolean', value : true, description: 'Build D3D11')
option('build_id',     type : 'boolean', value : false)
option('native_glfw',  type : 'feature', value : 'auto', description: 'Enable GLFW WSI for DXVK Native')
option('native_sdl2',  type : 'feature', value : 'auto', description: 'Enable SDL2 WSI for DXVK Native')
option('native_sdl3',  type : 'feature', value : 'auto', description: 'Enable SDL3 WSI for DXVK Native')
