=== debian/changelog ===
dxvk (2.7.1-2) unstable; urgency=medium

  * Alexandre Viau kindly handed over maintainership to me.
  * Package repository moved to the Debian collaborative group.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 10 Nov 2025 18:27:56 +0900

dxvk (2.7.1-1) unstable; urgency=medium

  * New upstream bugfix release:
    - remove obsolete upstream_version_fix.patch.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 08 Nov 2025 20:51:01 +0900
