=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dxvk
 Section: libs
 Priority: optional
-Maintainer: Alexandre Viau <aviau@debian.org>
-Uploaders: Marc Dequènes (Duck) <Duck@DuckCorp.org>
+Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
 Build-Depends: debhelper-compat (= 13),
                glslang-tools,
                meson,
@@ -20,8 +19,8 @@
                llvm,
 Standards-Version: 4.7.2
 Homepage: https://github.com/doitsujin/dxvk
-Vcs-Browser: https://salsa.debian.org/aviau/dxvk
-Vcs-Git: https://salsa.debian.org/aviau/dxvk.git
+Vcs-Browser: https://salsa.debian.org/debian/dxvk
+Vcs-Git: https://salsa.debian.org/debian/dxvk.git
 Rules-Requires-Root: no
 
 Package: dxvk
