=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+ds\d*$//,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dxvk-\$1\.tar\.gz/ \
  https://github.com/doitsujin/dxvk/tags .*/v?(\d\S*)\.tar\.gz

# Vendored fork of libdisplay-info, see .gitmodules.
# DXVK v2.6 corresponds to commit 275e6459c7ab1ddd4b125f28d0440716e4888078
opts=\
component=libdisplay-info,\
compression=gz,\
dversionmangle=s/\+ds\d*$//,\
mode=git,\
pgpmode=none,\
pretty=libdisplay-info-git%cd.%h \
  https://github.com/doitsujin/libdisplay-info \
  heads/windows \
  ignore

# Vendored subset of of mingw-w64-common, see .gitmodules.
# The URL that is given in .gitmodules redirects to here.
# DXVK v2.6 corresponds to commit 9df86f2341616ef1888ae59919feaa6d4fad693d
opts=\
component=mingw-directx-headers,\
compression=gz,\
dversionmangle=s/\+ds\d*$//,\
mode=git,\
pgpmode=none,\
pretty=mingw-directx-headers-git%cd.%h \
  https://github.com/misyltoad/mingw-directx-headers \
  HEAD \
  ignore
